public class Fraction implements Invertible<Fraction> {
    private final int numerador;
    private final int denominador;
    public Fraction(int numerador, int denominador) {
        this.numerador = numerador;
        this.denominador = denominador;
    }
    @Override
    public Fraction invert() {
        return new Fraction(denominador, numerador);
    }
    @Override
    public String toString() {
        return numerador + "/" + denominador;
    }
}
